Name:           kazam
Version:        1.4.5
Release:        %mkrel 3
Summary:        A screencasting program created with design in mind
License:        GPLv3+
Group:          Video
Url:            https://launchpad.net/kazam
Source0:        https://launchpad.net/kazam/stable/%{version}/+download/%{name}-%{version}.tar.xz
Source1:        kazam.desktop
Patch0:         kazam-1.4.5-mga-desktop-drop-unity-and-keywords.patch
Patch1:         kazam-1.4.5-configparser_api_changes.patch
Patch2:         kazam-1.4.5-fix-some-PyGIWarning.patch
Patch3:         0001-perf_counter.patch
BuildRequires:  intltool
BuildRequires:  python3-distutils-extra
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       python3-gobject3
Requires:       python3-pyxdg
Requires:       keybinder
Requires:       lib64keybinder3.0_0
Requires:       lib64wnck3_0
Requires:       libwnck3
BuildArch:      noarch

%description
Kazam is a simple screen recording program that will capture the content of
your screen and record a video file that can be played by any video player
that supports VP8/WebM video format.

Optionally you can record sound from any sound input device that is supported
and visible by PulseAudio.

%prep
%setup -q
%apply_patches

sed -i s,"DISTRO='Ubuntu'","DISTRO='%{vendor}'",g kazam/version.py
sed -i s,"RELEASE='.*'","RELEASE='%{product_version}'",g kazam/version.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --root=%{buildroot}

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/gnome/scalable/apps/%{name}*.svg
%{_iconsdir}/hicolor/*/*/%{name}*.png
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Mar 21 2021 tex - 1.4.5-3pclos2021
- add 0001-perf_counter.patch from deb

* Wed Mar 13 2019 tex 1.4.5-2pclos2019
- fix deps

